Skip to main content
`Ctrl`+`K`

# EPSPowerGetNonlinear

Returns a flag indicating if the problem is nonlinear.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSPowerGetNonlinear(EPS eps,PetscBool *nonlinear)

Not Collective

## Input Parameter

- eps - the linear eigensolver context

## Output Parameter

- nonlinear - the nonlinear flag

## See Also

EPS: Eigenvalue Problem Solver, `EPSPOWER`, `EPSPowerSetUpdate()`, `EPSPowerSetNonlinear()`

## Level

advanced

## Location

src/eps/impls/power/power.c

## Examples

src/eps/tutorials/ex34.c

## Implementations

EPSPowerGetNonlinear_Power() in src/eps/impls/power/power.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages